# Exception

(PHP 5, PHP 7)

## Introduction

Exception is the base class for all Exceptions in PHP 5, and the base class for all user exceptions in PHP 7.

Before PHP 7, Exception did not implement the Throwable interface.

## Class synopsis

Exception implements Throwable {
/* Properties */
protected string $message ;
protected int $code ;
protected string $file ;
protected int $line ;
/* Methods */
public __construct ([ string `$message` = "" [, int `$code` = 0 [, Throwable `$previous` = `NULL` ]]] )
final public getMessage ( void ) : string
final public getPrevious ( void ) : Throwable
final public getCode ( void ) : mixed
final public getFile ( void ) : string
final public getLine ( void ) : int
final public getTrace ( void ) : array
final public getTraceAsString ( void ) : string
public __toString ( void ) : string
final private __clone ( void ) : void
}

## Properties

message

  The exception message

code

  The exception code

file

  The filename where the exception was created

line

  The line where the exception was created

## Table of Contents

- Exception::__construct — Construct the exception
- Exception::getMessage — Gets the Exception message
- Exception::getPrevious — Returns previous Exception
- Exception::getCode — Gets the Exception code
- Exception::getFile — Gets the file in which the exception was created
- Exception::getLine — Gets the line in which the exception was created
- Exception::getTrace — Gets the stack trace
- Exception::getTraceAsString — Gets the stack trace as a string
- Exception::__toString — String representation of the exception
- Exception::__clone — Clone the exception